;********************************************************
;*                                                      *
;*      Register des SAB 80517                          *
;*                                                      *
;*      entnommen aus:                                  *
;*                                                      *
;*      Siemens-80517-Datenblatt, Seite 12              *
;*                                                      *
;********************************************************


;****** CPU: ********************************************

;ACC
;B
;DPL
;DPH
;DPSEL
;PSW
;SP

;****** Analog-Converter: *******************************

ADCON0  equ     0D8H
ADCON1  equ     0DCH
ADDAT   equ     0D9H
DAPR    equ     0DAH

;****** Interrupt-System: *******************************

IEN0    equ     0A8H
;CTCON
IEN1    equ     0B8H
IEN2    equ     09AH
IP0     equ     0A9H
IP1     equ     0B9H
IRCON   equ     0C0H
;TCON
;T2CON

;****** Arithmetik-Unit: ********************************

ARCON   equ     0EFH
MD0     equ     0E9H
MD1     equ     0EAH
MD2     equ     0EBH
MD3     equ     0ECH
MD4     equ     0EDH
MD5     equ     0EEH

;****** Timer-System: ***********************************

CCEN    equ     0C1H    ;Compare/Capture Enable (80535)

CC4EN   equ     0C9H    ;Port 5 Compare Control (80517)

CCL1    equ     0C2H    ;Compare Registers (80535)
CCH1    equ     0C3H
CCL2    equ     0C4H
CCH2    equ     0C5H
CCL3    equ     0C6H
CCH3    equ     0C7H
CCL4    equ     0CEH
CCH4    equ     0CFH

CMEN    equ     0F6H    ;??? (80517)

CML0    equ     0D2H    ;Compare Registers (80517)
CMH0    equ     0D3H
CML1    equ     0D4H
CMH1    equ     0D5H
CML2    equ     0D6H
CMH2    equ     0D7H
CML3    equ     0E2H
CMH3    equ     0E3H
CML4    equ     0E4H
CMH4    equ     0E5H
CML5    equ     0E6H
CMH5    equ     0E7H
CML6    equ     0F2H
CMH6    equ     0F3H
CML7    equ     0F4H
CMH7    equ     0F5H

CMSEL   equ     0F7H    ;??? (80517)

CRCL    equ     0CAH    ;Timer 2 Reload
CRCH    equ     0CBH
CTCON   equ     0E1H    ;Compare Timer Control
CTRELL  equ     0DEH    ;Compare Timer Reload
CTRELH  equ     0DFH
TL2     equ     0CCH    ;Timer 2
TH2     equ     0CDH
T2CON   equ     0C8H    ;Timer 2 Control

T2I0    equ     0C8H    ;Timer 2 Mode-Bits in T2CON
T2I1    equ     0C9H

;****** Ports: ******************************************

;P0
;P1
;P2
;P3
P4      equ     0E8H
P5      equ     0F8H
P6      equ     0FAH
P7      equ     0DBH
P8      equ     0DDH

;****** Power-Control Register: *************************

;ADCON0
;PCON
S0BUF   equ     099H
S0CON   equ     098H
S1BUF   equ     09CH
S1CON   equ     09BH
S1REL   equ     9DH

;****** Timer 0/1: **************************************

;TCON
;TL0
;TH0
;TL1
;TH1
;TMOD

;****** Watchdog: ***************************************

;IEN0
;IEN1
;IP0
;IP1
WDTREL  equ     086H

;********************************************************